function begin_xinggui()
	
	if map.GetCurrentMapID()==2048 then
		flag.SetValue(10015,0)  --禁连携
		npc.AddStat(1,0,300,1,100)  --自带中毒
		player.AddStat(1,0,180,1,100)  --全场中毒
		camera.ChangeCameraStatic(2575,145,2910,2564,119,2814)
		--ui.Message(96105)
	else
		flag.SetValue(10015,0)  --禁连携
		npc.AddStat(1,0,300,1,100)  --自带中毒
		player.AddStat(1,0,180,1,100)  --全场中毒
		camera.ChangeCameraStatic(2572,126,2572,2603,106,2479)
		--ui.Message(96105)
	end
	battle.MakeUpdate()
end
